Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153006 - Panic and internal error with mac os x connections
Summary: Panic and internal error with mac os x connections
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-31 20:44 UTC by Orion Poplawski
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-20 22:46:08 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2005-03-31 20:44:14 UTC
Description of problem:

Running Samba PDC on FC3 box.  We have a couple Mac OS X machines that connect
to shares on it.  In their logs we see:

[2005/03/30 13:30:58, 0] lib/substitute.c:alloc_sub_basic(507)
  alloc_sub_basic: NULL source string!  This should not happen
[2005/03/30 13:30:58, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2005/03/30 13:30:58, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 30609 (3.0.10-1.fc3)
  Please read the appendix Bugs of the Samba HOWTO collection
[2005/03/30 13:30:58, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2005/03/30 13:30:58, 0] lib/util.c:smb_panic2(1504)
  PANIC: internal error
[2005/03/30 13:30:58, 0] lib/util.c:smb_panic2(1512)
  BACKTRACE: 14 stack frames:
   #0 smbd(smb_panic2+0x8a) [0x84cefd]
   #1 smbd(smb_panic+0x19) [0x84d129]
   #2 smbd [0x838669]
   #3 /lib/tls/libc.so.6 [0x38fa48]
   #4 smbd(push_ascii_fstring+0x28) [0x83665d]
   #5 smbd [0x6e96e4]
   #6 smbd(api_reply+0x25e) [0x6ee79c]
   #7 smbd(reply_trans+0x64f) [0x6e4e72]
   #8 smbd [0x7308f2]
   #9 smbd(process_smb+0x195) [0x730d26]
   #10 smbd(smbd_process+0x15f) [0x731a44]
   #11 smbd(main+0x865) [0x8cced7]
   #12 /lib/tls/libc.so.6(__libc_start_main+0xe3) [0x37ce33]
   #13 smbd [0x6cf231]


This is apparently fixed in 3.0.11 according to the samba bug database
(https://bugzilla.samba.org/show_bug.cgi?id=1983)

Perhaps we can get an FC3 update?

I've compiled the samba 3.0.11 src.rpm from Rawhide on FC3 and installed.  We'll
see if that helps.

Version-Release number of selected component (if applicable):
samba-3.0.10-1.fc3


How reproducible:
Frequently

Steps to Reproduce:
1. Unknown - connect with OS X client?
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Orion Poplawski 2006-04-20 22:46:08 UTC
No FC3 update, but I'm on to FC4 now and working.


Note You need to log in before you can comment on or make changes to this bug.